
%ifarch %{ix86}
%define deb_opera %{name}_%{version}_i386.deb
%else
%define deb_opera %{name}_%{version}_amd64.deb
%endif

Summary: Opera Stable
Name: opera-stable
Version: 38.0.2220.31
Release: %mkrel 1
License: Proprietary
Group: Networking/WWW
URL: http://get.geo.opera.com/pub/opera-developer/
Vendor: Opera Software ASA
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
Conflicts: opera
AutoReqProv: no

%description
Opera Stable

%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot

mkdir %buildroot

cd $RPM_SOURCE_DIR
wget -nc https://deb.opera.com/opera/pool/non-free/o/opera-stable/%{deb_opera}

# extract data from the deb package
ar p $RPM_SOURCE_DIR/%{deb_opera} data.tar.xz | xz -d -9 | tar x -C %buildroot

# rename libdir
%ifarch %{ix86}
mv %buildroot/usr/lib/i386-linux-gnu/opera %buildroot/usr/lib/
rm -rf %buildroot/usr/lib/i386-linux-gnu
%else
mv %buildroot/usr/lib/x86_64-linux-gnu/opera %buildroot/usr/lib/
rm -rf %buildroot/usr/lib/x86_64-linux-gnu
mv %buildroot/usr/lib %buildroot%{_libdir}
%endif

# create new symlink
rm -f %buildroot%{_bindir}/opera
ln -sr %buildroot%{_libdir}/opera/opera %buildroot%{_bindir}/opera

# delete some directories that is not needed on Fedora
rm -rf %buildroot%{_datadir}/{lintian,menu}

# correct opera_sandbox permission
# FATAL:setuid_sandbox_client.cc(283)] The SUID sandbox helper binary was found
# but is not configured correctly.
chmod 4755 %buildroot%{_libdir}/opera/opera_sandbox

# create symlink to libudev.so
ln -sL %{_libdir}/libudev.so.0 %buildroot%{_libdir}/opera/libudev.so.0


%clean
rm -rf %buildroot


%files
%defattr(-,root,root)
%{_bindir}/opera
%{_libdir}/opera
%{_datadir}


%changelog
* Tue Jun 14 2016 bb <bb> 38.0.2220.31-1pclos2016
- update

* Thu Jun 09 2016 bb <bb> 38.0.2220.29-1pclos2016
- update

* Wed May 04 2016 bb <bb> 37.0.2178.32-1pclos2016
- update

* Thu Mar 31 2016 bb <bb> 36.0.2130.46-1pclos2016
- update

* Wed Mar 16 2016 bb <bb> 36.0.2130.32-1pclos2016
- update


